use microrm::prelude::*;
use test_log::test;

mod common;

#[derive(Entity)]
struct Entry {
    #[key]
    name: String,
    value: String,
}

#[derive(Default, Schema)]
struct KVStore {
    entries: microrm::IDMap<Entry>,
}

#[test]
fn test_carry() {
    let (pool, db): (_, KVStore) = common::open_test_db!();
    let mut lease = pool.acquire().unwrap();

    assert_eq!(db.entries.count(&mut lease).unwrap(), 0);
    assert_eq!(db.entries.carry_lease(&mut lease).count().unwrap(), 0);
}
